Package org.apache.sysds.runtime.instructions.cp

## Class FunctionCallCPInstruction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.Instruction
  - - org.apache.sysds.runtime.instructions.cp.CPInstruction
    - - org.apache.sysds.runtime.instructions.cp.FunctionCallCPInstruction

-     public class FunctionCallCPInstruction
      extends CPInstruction

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.cp.CPInstruction

      `CPInstruction.CPType`

    - ### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.Instruction

      `Instruction.IType`

  - ### Field Summary

    - ### Fields inherited from class org.apache.sysds.runtime.instructions.Instruction

      `DATATYPE_PREFIX, FEDERATED_INST_PREFIX, GPU_INST_PREFIX, INSTRUCTION_DELIM, LITERAL_PREFIX, OPERAND_DELIM, SP_INST_PREFIX, VALUETYPE_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FunctionCallCPInstruction​(String namespace, String functName, boolean opt, CPOperand[] boundInputs, List<String> funArgNames, List<String> boundOutputNames, String istr)` |
    `FunctionCallCPInstruction​(String namespace, String functName, boolean opt, CPOperand[] boundInputs, LineageItem[] lineageInputs, List<String> funArgNames, List<String> boundOutputNames, String istr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<String>` | `getBoundOutputParamNames()` |
    `String` | `getFunctionName()` |
    `CPOperand[]` | `getInputs()` |
    `String` | `getNamespace()` |
    `static FunctionCallCPInstruction` | `parseInstruction​(String str)` |
    `void` | `postprocessInstruction​(ExecutionContext ec)` | This method should be used for any tear down after executing this instruction.
    `Instruction` | `preprocessInstruction​(ExecutionContext ec)` | This method should be used for any setup before executing this instruction.
    `void` | `printMe()` |
    `void` | `processInstruction​(ExecutionContext ec)` | This method should be used to execute the instruction.
    `String` | `updateInstStringFunctionName​(String pattern, String replace)` |

    - ### Methods inherited from class org.apache.sysds.runtime.instructions.cp.CPInstruction

      `getCPInstructionType, getGraphString, getType, requiresLabelUpdate, updateLabels`

    - ### Methods inherited from class org.apache.sysds.runtime.instructions.Instruction

      `getBeginColumn, getBeginLine, getEndColumn, getEndLine, getExtendedOpcode, getFilename, getInstID, getInstructionString, getLineNum, getOpcode, getOperator, getPrivacyConstraint, setInstID, setLocation, setLocation, setLocation, setLocation, setPrivacyConstraint, setPrivacyConstraint, toString, updateInstructionThreadID`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FunctionCallCPInstruction

          public FunctionCallCPInstruction​(String namespace,
                                           String functName,
                                           boolean opt,
                                           CPOperand[] boundInputs,
                                           LineageItem[] lineageInputs,
                                           List<String> funArgNames,
                                           List<String> boundOutputNames,
                                           String istr)

    - #### FunctionCallCPInstruction

          public FunctionCallCPInstruction​(String namespace,
                                           String functName,
                                           boolean opt,
                                           CPOperand[] boundInputs,
                                           List<String> funArgNames,
                                           List<String> boundOutputNames,
                                           String istr)

  - ### Method Detail

    - #### getFunctionName

          public String getFunctionName()

    - #### getNamespace

          public String getNamespace()

    - #### parseInstruction

          public static FunctionCallCPInstruction parseInstruction​(String str)

    - #### preprocessInstruction

          public Instruction preprocessInstruction​(ExecutionContext ec)

      Description copied from class: `Instruction`
      This method should be used for any setup before executing this instruction. Overwriting methods should first call the super method and subsequently do their custom setup.
      Overrides:
        `preprocessInstruction` in class `CPInstruction`
      Parameters:
        `ec` - execution context
      Returns:
        instruction

    - #### processInstruction

          public void processInstruction​(ExecutionContext ec)

      Description copied from class: `Instruction`
      This method should be used to execute the instruction.
      Specified by:
        `processInstruction` in class `CPInstruction`
      Parameters:
        `ec` - execution context

    - #### postprocessInstruction

          public void postprocessInstruction​(ExecutionContext ec)

      Description copied from class: `Instruction`
      This method should be used for any tear down after executing this instruction. Overwriting methods should first do their custom tear down and subsequently call the super method.
      Overrides:
        `postprocessInstruction` in class `CPInstruction`
      Parameters:
        `ec` - execution context

    - #### printMe

          public void printMe()

      Overrides:
        `printMe` in class `Instruction`

    - #### getBoundOutputParamNames

          public List<String> getBoundOutputParamNames()

    - #### updateInstStringFunctionName

          public String updateInstStringFunctionName​(String pattern,
                                                     String replace)

    - #### getInputs

          public CPOperand[] getInputs()